Множественные уязвимости в FFmpeg

Дата публикации:
23.10.2013
Дата изменения:
23.10.2013
Всего просмотров:
2125
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
3
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:N/A:C/E:U/RL:W/RC:C)) = Base:7.8/Temporal:0
(AV:N/AC:L/Au:N/C:N/I:N/A:C/E:U/RL:W/RC:C)) = Base:7.8/Temporal:0
(AV:N/AC:L/Au:N/C:N/I:N/A:C/E:U/RL:W/RC:C)) = Base:7.8/Temporal:0
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
FFmpeg 2.x
Уязвимые версии:
FFmpeg 2.x

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю осуществить DoS-атаку.

1. Уязвимость существует из-за ошибки в функции ff_h263_decode_frame(). Удаленный пользователь может вызвать аварийное прекращение работы системы.

2. Уязвимость существует из-за ошибки проверки границ данных в функции decode_residual_inter(). Удаленный пользователь может осуществить DoS-атаку.

3. Уязвимость существует из-за ошибки проверки границ данных в функции decode_mb_i(). Удаленный пользователь может осуществить DoS-атаку.

URL производителя: http://ffmpeg.org/

Решение: Для устранения уязвимости установите исправление с git-репозитория.

Ссылки: http://git.videolan.org/?p=ffmpeg.git
http://git.videolan.org/?p=ffmpeg.git

или введите имя

CAPTCHA